org.richfaces.renderkit.html

## Class ToolTipRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.ajax4jsf.renderkit.AjaxComponentRendererBase
        - - org.richfaces.renderkit.html.ToolTipRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    HtmlToolTipRenderer, HtmlToolTipRendererBlock

      public class ToolTipRenderer
      extends org.ajax4jsf.renderkit.AjaxComponentRendererBase

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolTipRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `buildEventOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String targetId)`
    `java.lang.String` | `constructJSVariable(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeTooltipText(javax.faces.context.FacesContext context, UIToolTip component)`
    `java.lang.String` | `getBgColor(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `java.lang.String` | `getColor(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getParamsMap(javax.faces.context.FacesContext context, UIToolTip toolTip)`
    `boolean` | `getRendersChildren()`
    `protected org.ajax4jsf.resource.InternetResource[]` | `getScripts()`
    `protected org.ajax4jsf.resource.InternetResource[]` | `getStyles()`
    `void` | `insertScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase

      `getAdditionalScripts`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer2

      `encodeToHead`

- - ### Constructor Detail

    - #### ToolTipRenderer

          public ToolTipRenderer()

  - ### Method Detail

    - #### getStyles

          protected org.ajax4jsf.resource.InternetResource[] getStyles()

      Overrides:
        `getStyles` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

    - #### getScripts

          protected org.ajax4jsf.resource.InternetResource[] getScripts()

      Overrides:
        `getScripts` in class `org.ajax4jsf.renderkit.AjaxComponentRendererBase`

    - #### getComponentClass

          protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### getBgColor

          public java.lang.String getBgColor(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component)

    - #### getColor

          public java.lang.String getColor(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component)

    - #### buildEventOptions

          public java.util.Map<java.lang.String,java.lang.Object> buildEventOptions(javax.faces.context.FacesContext context,
                                                                           javax.faces.component.UIComponent component,
                                                                           java.lang.String targetId)

    - #### insertScript

          public void insertScript(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getParamsMap

          public java.util.Map<java.lang.String,java.lang.Object> getParamsMap(javax.faces.context.FacesContext context,
                                                                      UIToolTip toolTip)

    - #### constructJSVariable

          public java.lang.String constructJSVariable(javax.faces.context.FacesContext context,
                                             javax.faces.component.UIComponent component)

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### encodeTooltipText

          public void encodeTooltipText(javax.faces.context.FacesContext context,
                               UIToolTip component)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### doEncodeBegin

          protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                           javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                                throws java.io.IOException

      Overrides:
        `doEncodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### doEncodeChildren

          protected void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                                   throws java.io.IOException

      Overrides:
        `doEncodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

Copyright © 2014. All Rights Reserved.